# SinqS7PLCFW

This is a fork of Dirk Zimoch's [epics\_driver\_modules/s7plcFW](https://git.psi.ch/epics_driver_modules/s7plcFW), with the following adjustments:

* The String offset, now takes the two prefix bytes (max string length, current
  string length) into account, so you don't have to add 2 to each offset in
  order for the driver to read the correct string
* The length of a String read from the SPS and written to the Val field of a
  stringin record is no longer static, but instead read from the SPS directly,
  to avoid having bytes leftover in the buffer from a previous string.
* The Makefile has been slightly adjusted, limiting the build targets.

The default driver behaviour is documented in the file [s7plcFW.html](./s7plcFW.html).
